%define name	libmutil
%define oname	mutil
%define version 0.3.1
%define svn	3591
%define release %mkrel %svn.1

%define major	0
%define libname %mklibname %{oname} %major
%define develname %mklibname %{oname} -d

Name: 	 	%{name}
Summary: 	Utility library from MiniSip
Version: 	%{version}
Release: 	%{release}

Source:		http://www.minisip.org/source/%{name}-%{svn}.tar.bz2
URL:		http://www.minisip.org/
License:	GPLv2+
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  openssl-devel

%description
Utility library from MiniSip

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries
Provides:       %{oname} = %{version}-%{release}

%description -n %{libname}
Dynamic libraries from %{name}.

%package -n 	%{develname}
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}mutil0-devel

%description -n %{develname}
Libraries and includes files for developing programs based on %name.

%prep
%setup -q -n %name

%build
./bootstrap
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README 
%{_libdir}/pkgconfig/libmutil.pc
%{_datadir}/aclocal/libmutil.m4
%{_datadir}/aclocal/winfuncs.m4
%{_datadir}/%name
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la




%changelog
* Fri Sep 05 2008 Emmanuel Andry <eandry@mandriva.org> 0.3.1-3591.1mdv2009.0
+ Revision: 281466
- New svn snapshot
- fix obsoletes

* Sun Aug 17 2008 Emmanuel Andry <eandry@mandriva.org> 0.3.1-3589.3mdv2009.0
+ Revision: 273049
- obsolete wrong devel package
- fix devel name

* Sun Aug 17 2008 Emmanuel Andry <eandry@mandriva.org> 0.3.1-3589.1mdv2009.0
+ Revision: 273021
- New svn snapshot

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Feb 10 2008 Emmanuel Andry <eandry@mandriva.org> 0.3.1-3565.1mdv2008.1
+ Revision: 164850
- New svn snapshot
- new devel policy

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Aug 25 2007 Austin Acton <austin@mandriva.org> 0.3.1-3399.1mdv2008.0
+ Revision: 71350
- new svn checkout


* Sun Dec 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-0.20061210.1mdv2007.1
+ Revision: 94460
- new snap (20061210)

* Sat Dec 09 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-0.20060517.2mdv2007.1
+ Revision: 94262
- Import libmutil

* Fri May 19 2006 Austin Acton <austin@mandriva.org> 0.3.1-0.20060517.2mdk
- be more careful about naming

* Thu May 18 2006 Austin Acton <austin@mandriva.org> 0.3.1-0.20060517.1mdk
- new checkout

* Wed May 17 2006 Austin Acton <austin@mandriva.org> 0.3.1-0.20060516.1mdk
- cvs
- fix provides

* Sat Oct 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.0-2mdk
- Fix BuildRequires
- %%mkrel

* Tue Feb 22 2005 Austin Acton <austin@mandrake.org> 0.3.0-1mdk
- New release 0.3.0

* Tue Feb 01 2005 Austin Acton <austin@mandrake.org> 0.2.2-2mdk
- fix libname (forgive me; I'm mildly insane)

* Tue Feb 01 2005 Austin Acton <austin@mandrake.org> 0.2.2-1mdk
- initial package

